### Hierarchy

- WhereOp
  - WhereNot

## Index

### Constructors

- constructor

### Methods

- evaluate

## Constructors

### constructor

- new WhereNot(conditions: AnyConditions): WhereNot

- - Defined in clauses/where-operators.ts:126

  #### Parameters

  - ##### conditions: AnyConditions

  #### Returns WhereNot

## Methods

### evaluate

- evaluate(params: ParameterBag, precedence?: Precedence, name?: string): string

- Overrides WhereOp.evaluate

  - Defined in clauses/where-operators.ts:131

  #### Parameters

  - ##### params: ParameterBag

  - ##### Default value precedence: Precedence = Precedence.None

  - ##### Default value name: string = ""

  #### Returns string

Generated using TypeDoc